.. image:: https://img.shields.io/badge/license-LGPLv3-blue.svg
   :target: https://www.gnu.org/licenses/lgpl.html
   :alt: License: LGPL-3

============
Mass Editing
============

This module provides the following features:

* You can add, update or remove the values of more than one records on the fly at the same time.

* You can configure mass editing for any Odoo model.

* The video explaining the features and how-to for OpenERP Version 6 is here http://t.co/wukYMx1A

* The video explaining the features and how-to for OpenERP Version 7 is here : http://www.youtube.com/watch?v=9BH0o74A748&feature=youtu.be

* For more details/customization/feedback contact us on contact@serpentcs.com

Installation
============

No external library is used.

Configuration
=============

To configure this module, you need to:

* Go to *Settings / Mass Editing / Mass Editing* and configure the object and fields for Mass Editing.

Usage
=====

This module allows to add, update or remove the values of more than one records on the fly at the same time.

.. image:: https://odoo-community.org/website/image/ir.attachment/5784_f2813bd/datas
   :alt: Try me on Runbot
   :target: https://runbot.odoo-community.org/runbot/149/9.0

As shown in figure you have to configure the object and fields for mass editing.

* Select the object and add the fields of that object on which you want to apply mass editing.

.. image:: /mass_editing/static/description/mass_editing-1.png
   :width: 70%

* *Add Action*: As shown in figure click on *Add Sidebar Button* to add mass editing option in *Action* option in action.

.. image:: /mass_editing/static/description/mass_editing-2.png
   :width: 70%

* *Go for Mass Editing*: As shown in figure, select the records which you want to modify and click on *Action* to open mass editing popup.

.. image:: /mass_editing/static/description/mass_editing-3.png
   :width: 70%

* Select *Set / Remove* action and write down the value to set or remove the value for the given field.

.. image:: /mass_editing/static/description/mass_editing-4.png
   :width: 70%

* This way you can set / remove the values of the fields.

.. image:: /mass_editing/static/description/mass_editing-5.png
   :width: 70%

Bug Tracker
===========

Bugs are tracked on `GitHub Issues
<https://github.com/OCA/server-tools/issues>`_. In case of trouble, please
check there if your issue has already been reported. If you spotted it first,
help us smashing it by providing a detailed and welcomed `feedback
<https://github.com/OCA/
server-tools/issues/new?body=module:%20
server-tools%0Aversion:%20
9.0%0A%0A**Steps%20to%20reproduce**%0A-%20...%0A%0A**Current%20behavior**%0A%0A**Expected%20behavior**>`_.

Credits
=======

Images
------

* Odoo Community Association: `Icon <https://github.com/OCA/maintainer-tools/blob/master/template/module/static/description/icon.svg>`_.

Contributors
------------

* Oihane Crucelaegui <oihanecrucelaegi@gmail.com>
* Serpent Consulting Services Pvt. Ltd. <support@serpentcs.com>

Maintainer
----------

.. image:: https://odoo-community.org/logo.png
   :alt: Odoo Community Association
   :target: http://odoo-community.org

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose
mission is to support the collaborative development of Odoo features and
promote its widespread use.

To contribute to this module, please visit http://odoo-community.org.
